FAQ
Hello,

Cross-posted from Karma.

This does not stop karma from working on my Win 7 32-bit. Wondering what it
means here because on my Mac 'node-gyp' actually built after I updated my
XCode for Mavericks. I mean that on the Mac I saw the same error initially
but after my XCode update 'node-gyp' was built and this error vanished.
Thanks,
Mohan
$ npm install -g karma
npm WARN optional dep failed, continuing *fsevents@0.3.1* <fsevents@0.3.1>
/

*ws@0.4.32* <ws@0.4.32> install
C:\Users\476458\AppData\Roaming\npm\node_modules\karma\node_
modules\*socket.io* <http://socket.io/>
\node_modules\socket.io-client\node_modules\ws
(node-gyp rebuild 2> builderror.log) || (exit 0)
--
Job board: http://jobs.nodejs.org/
New group rules: https://gist.github.com/othiym23/9886289#file-moderation-policy-md
Old group rules: https://github.com/joyent/node/wiki/Mailing-List-Posting-Guidelines
---
You received this message because you are subscribed to the Google Groups "nodejs" group.
To unsubscribe from this group and stop receiving emails from it, send an email to nodejs+unsubscribe@googlegroups.com.
To post to this group, send email to nodejs@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/nodejs/34544528-949e-4cae-9599-220ca67488bc%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

Search Discussions

  • Ryan Schmidt at Dec 30, 2014 at 1:33 am

    On Dec 29, 2014, at 7:38 AM, Mohan Radhakrishnan wrote:

    This does not stop karma from working on my Win 7 32-bit. Wondering what it means here because on my Mac 'node-gyp' actually built after I updated my XCode for Mavericks. I mean that on the Mac I saw the same error initially but after my XCode update 'node-gyp' was built and this error vanished.
    Thanks,
    Mohan
    $ npm install -g karma
    npm WARN optional dep failed, continuing fsevents@0.3.1
    FSEvents is an API only available on OS X:

    http://en.wikipedia.org/wiki/FSEvents

    It is understandable therefore that the fsevents npm module which provides a node interface to that OS API cannot be built on systems other than OS X, and that other software that wants to use fsevents on OS X would have planned for that contingency and provided an alternate implementation for other systems. In the case of karma, it appears to have been handled by making fsevents an optional dependency.

    --
    Job board: http://jobs.nodejs.org/
    New group rules: https://gist.github.com/othiym23/9886289#file-moderation-policy-md
    Old group rules: https://github.com/joyent/node/wiki/Mailing-List-Posting-Guidelines
    ---
    You received this message because you are subscribed to the Google Groups "nodejs" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to nodejs+unsubscribe@googlegroups.com.
    To post to this group, send email to nodejs@googlegroups.com.
    To view this discussion on the web visit https://groups.google.com/d/msgid/nodejs/C6CD3699-522D-40B8-AB0D-D93CF1A44CFE%40ryandesign.com.
    For more options, visit https://groups.google.com/d/optout.

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupnodejs @
categoriesnodejs
postedDec 29, '14 at 3:02p
activeDec 30, '14 at 1:33a
posts2
users2
websitenodejs.org
irc#node.js

People

Translate

site design / logo © 2021 Grokbase